#!/bin/sh
ME=mail2sh
MEHOME=/var/lib/mail2sh/
MEGROUP=mail2sh
ETCHOME=/etc/mail2sh/
MEDOC=/usr/share/doc/mail2sh/
sudo=/etc/sudoers

case "$1" in
  configure)


# ADDUSER
    echo 'Adduser mail2sh: '

    # Je vrifie si j'existe, c'est-a-dire qu'il sagisse bien
    # de moi et pas d'un autre mail2sh !!
    #MEHOME=/home/mail2sh
    #if  grep -q "^mail2sh::${MEHOME}" /etc/passwd ; then
    if  id $ME > /dev/null 2>&1 ; then
       # Je vrifie si mail2sh exiet, si oui, alors je cris!!

       #if  grep -q "^mail2sh:" /etc/passwd ; then
          echo '************************************************'
          echo
          echo  $ME detected, continious setup... 
          echo
          echo '************************************************'
       #fi
    #echo Remove account exist.
    echo ' '
    #deluser --remove-home $ME

    else


       addgroup --quiet $MEGROUP &> /dev/null
       adduser  --quiet --system --home $MEHOME --ingroup $MEGROUP --shell /bin/sh $ME &> /dev/null
       #adduser --system --home $MEHOME --ingroup $MEGROUP --shell /bin/sh $ME &> /dev/null 

    fi



# CONFIG

    #cp -ufa /usr/share/doc/mail2sh/examples/etc/${ME}.noauth $ETCHOME
    #if [ ! -f $ETCHOME/${ME}.conf ]
    #then
	#if ! cp -afu /usr/share/doc/mail2sh/examples/etc/${ME}.conf.single_user \
	    #$ETCHOME/$ME.conf; then true; fi
    #fi
    #rm -f timestamp
    #echo -n "Rebuilding master index page ... "
    #/usr/lib/lists-archives/updatemail -x
    #echo "done."
    #if [ ! -f log ]
    #then
	#touch log
    #fi

# SUDO

        #if grep -q "#-- MAIL2SH begin" $sudo ; then
            sed -e '/#-- MAIL2SH begin/,/#-- MAIL2SH end/d' \
            $sudo > ${sudo}.new
            #mv ${sudo}.new $sudo
        #fi

    cat $MEDOC/examples/sudo/sudoers >> ${sudo}.new
    mv ${sudo}.new ${sudo}
    chmod 0440 ${sudo}



# DROITS
    chown -R $ME.$MEGROUP $MEHOME $ETCHOME
    chmod 0550 -R $ETCHOME/
    chmod 0555 -R $MEHOME/

    #exit 1
    ;;

  abort-upgrade|abort-remove|abort-deconfigure)
    exit 0
    ;;

  *)
    echo "postinst called with unknown argument \`$1'" >&2
    exit 0
    ;;
esac
